Subject: Latest JMOL library requires mode method definition
Author: Olivier Sallou <osallou@irisa.fr>
Description: Add required interface method from latest JMOL library definition
Last--Updated: 29/05/12

--- a/biojava3-structure-gui/src/main/java/org/biojava/bio/structure/align/gui/jmol/MyJmolStatusListener.java
+++ b/biojava3-structure-gui/src/main/java/org/biojava/bio/structure/align/gui/jmol/MyJmolStatusListener.java
@@ -29,6 +29,7 @@
 import javax.swing.JTextField;
 
 import org.jmol.api.JmolStatusListener;
+import org.jmol.constant.EnumCallback;
 
 public class MyJmolStatusListener implements JmolStatusListener {
 
@@ -40,7 +41,17 @@
 	public void setTextField (JTextField statusField) {
 		status = statusField;
 	}
-	
+
+        public void resizeInnerPanel(java.lang.String arg0) {
+        }
+
+	public boolean notifyEnabled(org.jmol.constant.EnumCallback callback) {
+	  return false;
+        }
+
+	public void notifyCallback(EnumCallback type, Object[] data) {
+	}
+
 	public String createImage(String arg0, String arg1, Object arg2, int arg3) {
 		// TODO Auto-generated method stub
 		return null;
